tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<Message>
    - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class PubSubModule
      extends AbstractStanzaExtendableModule<Message>

  Publish-Subscribe Module.

  This module implementation of XEP-0060: Publish-Subscribe.

  Author:
    bmalkow

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PubSubModule.AffiliationElement`
    `static class` | `PubSubModule.AffiliationsRetrieveAsyncCallback`
    `static class` | `PubSubModule.NodeConfigurationAsyncCallback`
    `static interface` | `PubSubModule.NodeConfigurationChangeNotificationReceivedHandler`
    `static interface` | `PubSubModule.NotificationCollectionChildrenChangedHandler`
    `static interface` | `PubSubModule.NotificationNodeDeletedHander`
    `static interface` | `PubSubModule.NotificationReceivedHandler`
    `static class` | `PubSubModule.PublishAsyncCallback`
    `static class` | `PubSubModule.RetrieveItemsAsyncCallback`
    `static class` | `PubSubModule.SubscriptionAsyncCallback`
    `static class` | `PubSubModule.SubscriptionElement`
    `static class` | `PubSubModule.SubscriptionFilterExtension` Class with definitions of filters for retrieving subscriptions.
    `static class` | `PubSubModule.SubscriptionOptionsAsyncCallback`
    `static class` | `PubSubModule.SubscriptionsRetrieveAsyncCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Criteria` | `CRIT`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PubSubModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotificationReceivedHandler(PubSubModule.NotificationReceivedHandler handler)`
    `void` | `configureNode(BareJID pubSubJID, String nodeName, JabberDataElement configuration, AsyncCallback callback)` Submit configuration of node.
    `void` | `configureNode(BareJID pubSubJID, String nodeName, JabberDataElement configuration, PubSubAsyncCallback callback)` Submit configuration of node.
    `void` | `configureSubscription(BareJID pubSubJID, String nodeName, JID subscriberJID, JabberDataElement form, AsyncCallback callback)` Submit configuration of subscription.
    `void` | `configureSubscription(BareJID pubSubJID, String nodeName, JID subscriberJID, JabberDataElement form, PubSubAsyncCallback callback)` Submit configuration of subscription.
    `void` | `createNode(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Create node on PubSub Service.
    `void` | `createNode(BareJID pubSubJID, String nodeName, JabberDataElement nodeConfiguration, AsyncCallback callback)` Create node on PubSub Service.
    `void` | `createNode(BareJID pubSubJID, String nodeName, JabberDataElement nodeConfiguration, PubSubAsyncCallback callback)` Create node on PubSub Service.
    `void` | `createNode(BareJID pubSubJID, String nodeName, PubSubAsyncCallback callback)` Create node on PubSub Service.
    `static JabberDataElement` | `createNodeConfiguration()` Create empty `jabber:x:data` element prepared to submit.
    `void` | `deleteAffiliation(BareJID pubSubJID, String nodeName, JID subscriberJID, PubSubAsyncCallback callback)` Delete an entity from the affiliations list.
    `void` | `deleteItem(BareJID pubSubJID, String nodeName, String itemId, AsyncCallback callback)` Delete published item.
    `void` | `deleteItem(BareJID pubSubJID, String nodeName, String itemId, PubSubAsyncCallback callback)` Delete published item.
    `void` | `deleteNode(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Delete node from PubSub service.
    `void` | `deleteNode(BareJID pubSubJID, String nodeName, PubSubAsyncCallback callback)` Delete node from PubSub service.
    `void` | `deleteSubscription(BareJID pubSubJID, String nodeName, JID subscriberJID, PubSubAsyncCallback callback)` Delete subscriber.
    `protected void` | `fireNotificationReceived(Message message, String nodeName, String itemType, String itemId, Element payload, Date delayTime)`
    `Criteria` | `getCriteria()` Criteria
    `void` | `getDefaultSubscriptionConfiguration(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Gets default subscription configuration.
    `void` | `getDefaultSubscriptionConfiguration(BareJID pubSubJID, String nodeName, PubSubModule.SubscriptionOptionsAsyncCallback callback)` Gets default subscription configuration.
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `getNodeConfiguration(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Get node configuration.
    `void` | `getNodeConfiguration(BareJID pubSubJID, String nodeName, PubSubModule.NodeConfigurationAsyncCallback callback)` Get node configuration.
    `void` | `getNodeConfigurationDefault(BareJID pubSubJID, AsyncCallback callback)` Get default node configuration.
    `void` | `getNodeConfigurationDefault(BareJID pubSubJID, PubSubModule.NodeConfigurationAsyncCallback callback)` Get default node configuration.
    `void` | `getSubscriptionConfiguration(BareJID pubSubJID, String nodeName, JID subscriberJID, AsyncCallback callback)` Get subscription options.
    `void` | `getSubscriptionConfiguration(BareJID pubSubJID, String nodeName, JID subscriberJID, PubSubModule.SubscriptionOptionsAsyncCallback callback)` Get subscriptions options.
    `void` | `process(Message message)` Method for processing incoming stanza.
    `void` | `publishItem(BareJID pubSubJID, String nodeName, String itemId, Element payload, AsyncCallback callback)` Publish item in PubSub service.
    `void` | `publishItem(BareJID pubSubJID, String nodeName, String itemId, Element payload, JabberDataElement publishOptions, AsyncCallback callback)` Publish item in PubSub service.
    `void` | `publishItem(BareJID pubSubJID, String nodeName, String itemId, Element payload, PubSubModule.PublishAsyncCallback callback)` Publish item in PubSub service.
    `void` | `purge(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Purge the node of all published items.
    `void` | `purge(BareJID pubSubJID, String nodeName, PubSubAsyncCallback callback)` Purge the node of all published items.
    `void` | `removeNotificationReceivedHandler(PubSubModule.NotificationReceivedHandler handler)`
    `void` | `retrieveAffiliations(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Retrieve affiliations.
    `void` | `retrieveAffiliations(BareJID pubSubJID, String nodeName, PubSubModule.AffiliationsRetrieveAsyncCallback callback)` Retrieve affiliations.
    `protected void` | `retrieveAffiliations(BareJID pubSubJID, String nodeName, String xmlns, AsyncCallback callback)`
    `void` | `retrieveItem(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Gets ALL published items from node.
    `void` | `retrieveItem(BareJID pubSubJID, String nodeName, PubSubModule.RetrieveItemsAsyncCallback callback)` Gets ALL published items from node.
    `void` | `retrieveItem(BareJID pubSubJID, String nodeName, String itemId, AsyncCallback callback)` Gets published item from node.
    `void` | `retrieveItem(BareJID pubSubJID, String nodeName, String itemId, Integer maxItems, AsyncCallback callback)` Gets published item(s) from node.
    `void` | `retrieveItem(BareJID pubSubJID, String nodeName, String itemId, PubSubModule.RetrieveItemsAsyncCallback callback)` Gets published item from node.
    `void` | `retrieveItems(BareJID pubSubJID, String nodeName, Integer max, Integer index, AsyncCallback callback)` Gets published item(s) from node.
    `void` | `retrieveOwnAffiliations(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Retrieve own affiliations.
    `void` | `retrieveOwnAffiliations(BareJID pubSubJID, String nodeName, PubSubModule.AffiliationsRetrieveAsyncCallback callback)` Retrieve own affiliations.
    `void` | `retrieveOwnSubscription(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Retrieve own subscriptions.
    `void` | `retrieveOwnSubscription(BareJID pubSubJID, String nodeName, PubSubModule.SubscriptionsRetrieveAsyncCallback callback)` Retrieve own subscriptions.
    `void` | `retrieveSubscription(BareJID pubSubJID, String nodeName, AsyncCallback callback)` Retrieve all subscriptions of given node.
    `void` | `retrieveSubscription(BareJID pubSubJID, String nodeName, PubSubModule.SubscriptionFilterExtension filterExt, AsyncCallback callback)` Retrieve all subscriptions of given node.
    `void` | `retrieveSubscription(BareJID pubSubJID, String nodeName, PubSubModule.SubscriptionsRetrieveAsyncCallback callback)` Retrieve all subscriptions of given node.
    `protected void` | `retrieveSubscription(BareJID pubSubJID, String nodeName, String xmlns, PubSubModule.SubscriptionFilterExtension filterExt, AsyncCallback callback)`
    `void` | `setAffiliation(BareJID pubSubJID, String nodeName, JID subscriberJID, Affiliation affiliation, PubSubAsyncCallback callback)` Modify or set affiliation.
    `void` | `setAffiliation(BareJID pubSubJID, String nodeName, PubSubModule.AffiliationElement[] affiliationElements, PubSubAsyncCallback callback)` Modify or set multiple affiliations.
    `void` | `setSubscription(BareJID pubSubJID, String nodeName, JID subscriberJID, Subscription subscription, PubSubAsyncCallback callback)` Modify or set subscription.
    `void` | `setSubscription(BareJID pubSubJID, String nodeName, PubSubModule.SubscriptionElement[] subscriptionElements, PubSubAsyncCallback callback)` Modify or set multiple subscriptions.
    `void` | `subscribe(BareJID pubSubJID, String nodeName, JID subscriberJID, JabberDataElement options, AsyncCallback callback)` Subscribe to a Node.
    `void` | `subscribe(BareJID pubSubJID, String nodeName, JID subscriberJID, JabberDataElement options, PubSubModule.SubscriptionAsyncCallback callback)` Subscribe to a Node.
    `void` | `subscribe(BareJID pubSubJID, String nodeName, JID subscriberJID, PubSubModule.SubscriptionAsyncCallback callback)` Subscribe to a Node.
    `void` | `unlockItem(BareJID pubSubJID, String nodeName, String itemId, AsyncCallback callback)` Unlock assigned item.
    `void` | `unlockItem(BareJID pubSubJID, String nodeName, String itemId, PubSubAsyncCallback callback)` Unlock assigned item.
    `void` | `unsubscribe(BareJID pubSubJID, String nodeName, JID subscriberJID, AsyncCallback callback)` Unsubscribe from a Node.
    `void` | `unsubscribe(BareJID pubSubJID, String nodeName, JID subscriberJID, PubSubAsyncCallback callback)` Unsubscribe from a Node.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CRIT

          public static final Criteria CRIT

  - ### Constructor Detail

    - #### PubSubModule

          public PubSubModule()

  - ### Method Detail

    - #### createNodeConfiguration

          public static JabberDataElement createNodeConfiguration()
                                                           throws JaxmppException

      Create empty `jabber:x:data` element prepared to submit.
      Returns:
        empty submitable node configuration element.
      Throws:
        `JaxmppException`

    - #### addNotificationReceivedHandler

          public void addNotificationReceivedHandler(PubSubModule.NotificationReceivedHandler handler)

    - #### configureNode

          public void configureNode(BareJID pubSubJID,
                                    String nodeName,
                                    JabberDataElement configuration,
                                    AsyncCallback callback)
                             throws JaxmppException

      Submit configuration of node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `configuration` - data element with configuration
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### configureNode

          public void configureNode(BareJID pubSubJID,
                                    String nodeName,
                                    JabberDataElement configuration,
                                    PubSubAsyncCallback callback)
                             throws JaxmppException

      Submit configuration of node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `configuration` - data element with configuration
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### configureSubscription

          public void configureSubscription(BareJID pubSubJID,
                                            String nodeName,
                                            JID subscriberJID,
                                            JabberDataElement form,
                                            AsyncCallback callback)
                                     throws JaxmppException

      Submit configuration of subscription.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `subscriberJID` - subscriber JID
        `form` - data element with configuration
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### configureSubscription

          public void configureSubscription(BareJID pubSubJID,
                                            String nodeName,
                                            JID subscriberJID,
                                            JabberDataElement form,
                                            PubSubAsyncCallback callback)
                                     throws JaxmppException

      Submit configuration of subscription.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `subscriberJID` - subscriber JID
        `form` - data element with configuration
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### createNode

          public void createNode(BareJID pubSubJID,
                                 String nodeName,
                                 AsyncCallback callback)
                          throws JaxmppException

      Create node on PubSub Service.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node to be created
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### createNode

          public void createNode(BareJID pubSubJID,
                                 String nodeName,
                                 JabberDataElement nodeConfiguration,
                                 AsyncCallback callback)
                          throws JaxmppException

      Create node on PubSub Service.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node to be created
        `nodeConfiguration` - node configuration
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### createNode

          public void createNode(BareJID pubSubJID,
                                 String nodeName,
                                 JabberDataElement nodeConfiguration,
                                 PubSubAsyncCallback callback)
                          throws JaxmppException

      Create node on PubSub Service.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node to be created
        `nodeConfiguration` - node configuration
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### createNode

          public void createNode(BareJID pubSubJID,
                                 String nodeName,
                                 PubSubAsyncCallback callback)
                          throws JaxmppException

      Create node on PubSub Service.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node to be created
        `config` - node configuration
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### deleteAffiliation

          public void deleteAffiliation(BareJID pubSubJID,
                                        String nodeName,
                                        JID subscriberJID,
                                        PubSubAsyncCallback callback)
                                 throws JaxmppException

      Delete an entity from the affiliations list. Formelly it sets affiliation to `none`.
      Parameters:
        `pubSubJID` -
        `nodeName` -
        `subscriberJID` -
        `callback` -
      Throws:
        `JaxmppException`

    - #### deleteItem

          public void deleteItem(BareJID pubSubJID,
                                 String nodeName,
                                 String itemId,
                                 AsyncCallback callback)
                          throws JaxmppException

      Delete published item.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node
        `itemId` - ID of item
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### deleteItem

          public void deleteItem(BareJID pubSubJID,
                                 String nodeName,
                                 String itemId,
                                 PubSubAsyncCallback callback)
                          throws JaxmppException

      Delete published item.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node
        `itemId` - ID of item
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### deleteNode

          public void deleteNode(BareJID pubSubJID,
                                 String nodeName,
                                 AsyncCallback callback)
                          throws JaxmppException

      Delete node from PubSub service.
      Parameters:
        `pubSubJID` - address of PubSub service
        `nodeName` - na of node to delete
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### deleteNode

          public void deleteNode(BareJID pubSubJID,
                                 String nodeName,
                                 PubSubAsyncCallback callback)
                          throws JaxmppException

      Delete node from PubSub service.
      Parameters:
        `pubSubJID` - address of PubSub service
        `nodeName` - na of node to delete
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### deleteSubscription

          public void deleteSubscription(BareJID pubSubJID,
                                         String nodeName,
                                         JID subscriberJID,
                                         PubSubAsyncCallback callback)
                                  throws JaxmppException

      Delete subscriber. Formelly it sets subscription to `none`.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node
        `subscriberJID` - subscriber JID
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getDefaultSubscriptionConfiguration

          public void getDefaultSubscriptionConfiguration(BareJID pubSubJID,
                                                          String nodeName,
                                                          AsyncCallback callback)
                                                   throws JaxmppException

      Gets default subscription configuration.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### getDefaultSubscriptionConfiguration

          public void getDefaultSubscriptionConfiguration(BareJID pubSubJID,
                                                          String nodeName,
                                                          PubSubModule.SubscriptionOptionsAsyncCallback callback)
                                                   throws JaxmppException

      Gets default subscription configuration.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### getNodeConfiguration

          public void getNodeConfiguration(BareJID pubSubJID,
                                           String nodeName,
                                           AsyncCallback callback)
                                    throws JaxmppException

      Get node configuration. May be used to get default node configuration.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - node name. If `null` then default node configuration will be requested.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### getNodeConfiguration

          public void getNodeConfiguration(BareJID pubSubJID,
                                           String nodeName,
                                           PubSubModule.NodeConfigurationAsyncCallback callback)
                                    throws JaxmppException

      Get node configuration. May be used to get default node configuration.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - node name. If `null` then default node configuration will be requested.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### getNodeConfigurationDefault

          public void getNodeConfigurationDefault(BareJID pubSubJID,
                                                  AsyncCallback callback)
                                           throws JaxmppException

      Get default node configuration.
      Parameters:
        `pubSubJID` - PubSub service address.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### getNodeConfigurationDefault

          public void getNodeConfigurationDefault(BareJID pubSubJID,
                                                  PubSubModule.NodeConfigurationAsyncCallback callback)
                                           throws JaxmppException

      Get default node configuration.
      Parameters:
        `pubSubJID` - PubSub service address.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### getSubscriptionConfiguration

          public void getSubscriptionConfiguration(BareJID pubSubJID,
                                                   String nodeName,
                                                   JID subscriberJID,
                                                   AsyncCallback callback)
                                            throws JaxmppException

      Get subscription options.
      Parameters:
        `pubSubJID` - JID of PubSub Service
        `nodeName` - node name
        `subscriberJID` - subcriber JID
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### getSubscriptionConfiguration

          public void getSubscriptionConfiguration(BareJID pubSubJID,
                                                   String nodeName,
                                                   JID subscriberJID,
                                                   PubSubModule.SubscriptionOptionsAsyncCallback callback)
                                            throws JaxmppException

      Get subscriptions options.
      Parameters:
        `pubSubJID` - JID of PubSub Service
        `nodeName` - node name
        `subscriberJID` - subcriber JID
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### process

          public void process(Message message)
                       throws JaxmppException

      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule<Message>`
      Parameters:
        `message` - incoming stanza
      Throws:
        `JaxmppException`

    - #### publishItem

          public void publishItem(BareJID pubSubJID,
                                  String nodeName,
                                  String itemId,
                                  Element payload,
                                  AsyncCallback callback)
                           throws JaxmppException

      Publish item in PubSub service.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `itemId` - ID of item to be published. If `null` then Service will generate unique item ID.
        `payload` - element to be publish.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### publishItem

          public void publishItem(BareJID pubSubJID,
                                  String nodeName,
                                  String itemId,
                                  Element payload,
                                  JabberDataElement publishOptions,
                                  AsyncCallback callback)
                           throws JaxmppException

      Publish item in PubSub service.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `itemId` - ID of item to be published. If `null` then Service will generate unique item ID.
        `payload` - element to be publish.
        `publishOptions` - node configuration required for publication
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### publishItem

          public void publishItem(BareJID pubSubJID,
                                  String nodeName,
                                  String itemId,
                                  Element payload,
                                  PubSubModule.PublishAsyncCallback callback)
                           throws JaxmppException

      Publish item in PubSub service.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `itemId` - ID of item to be published. If `null` then Service will generate unique item ID.
        `payload` - element to be publish.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### purge

          public void purge(BareJID pubSubJID,
                            String nodeName,
                            AsyncCallback callback)
                     throws JaxmppException

      Purge the node of all published items.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### purge

          public void purge(BareJID pubSubJID,
                            String nodeName,
                            PubSubAsyncCallback callback)
                     throws JaxmppException

      Purge the node of all published items.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### removeNotificationReceivedHandler

          public void removeNotificationReceivedHandler(PubSubModule.NotificationReceivedHandler handler)

    - #### retrieveAffiliations

          public void retrieveAffiliations(BareJID pubSubJID,
                                           String nodeName,
                                           PubSubModule.AffiliationsRetrieveAsyncCallback callback)
                                    throws JaxmppException

      Retrieve affiliations. Owner affiliation is required.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node. If `null` then affiliations from all nodes will be requested.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### retrieveAffiliations

          public void retrieveAffiliations(BareJID pubSubJID,
                                           String nodeName,
                                           AsyncCallback callback)
                                    throws JaxmppException

      Retrieve affiliations. Owner affiliation is required.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node. If `null` then affiliations from all nodes will be requested.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### retrieveItem

          public void retrieveItem(BareJID pubSubJID,
                                   String nodeName,
                                   AsyncCallback callback)
                            throws JaxmppException

      Gets ALL published items from node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveItem

          public void retrieveItem(BareJID pubSubJID,
                                   String nodeName,
                                   PubSubModule.RetrieveItemsAsyncCallback callback)
                            throws JaxmppException

      Gets ALL published items from node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveItem

          public void retrieveItem(BareJID pubSubJID,
                                   String nodeName,
                                   String itemId,
                                   AsyncCallback callback)
                            throws JaxmppException

      Gets published item from node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `itemId` - ID of item to pe retrieve.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveItem

          public void retrieveItem(BareJID pubSubJID,
                                   String nodeName,
                                   String itemId,
                                   Integer maxItems,
                                   AsyncCallback callback)
                            throws JaxmppException

      Gets published item(s) from node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `itemId` - ID of item to pe retrieve. May be `null`. Then all items will be requested.
        `maxItems` - maximum amount of items to be retrieve.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveItem

          public void retrieveItem(BareJID pubSubJID,
                                   String nodeName,
                                   String itemId,
                                   PubSubModule.RetrieveItemsAsyncCallback callback)
                            throws JaxmppException

      Gets published item from node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `itemId` - ID of item to pe retrieve.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveItems

          public void retrieveItems(BareJID pubSubJID,
                                    String nodeName,
                                    Integer max,
                                    Integer index,
                                    AsyncCallback callback)
                             throws JaxmppException

      Gets published item(s) from node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node
        `max` - maximum amount of items to be retrieve.
        `index` - offset from which to start retrieval
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveOwnAffiliations

          public void retrieveOwnAffiliations(BareJID pubSubJID,
                                              String nodeName,
                                              PubSubModule.AffiliationsRetrieveAsyncCallback callback)
                                       throws JaxmppException

      Retrieve own affiliations.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node. If `null` then affiliations from all nodes will be requested.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### retrieveOwnAffiliations

          public void retrieveOwnAffiliations(BareJID pubSubJID,
                                              String nodeName,
                                              AsyncCallback callback)
                                       throws JaxmppException

      Retrieve own affiliations.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node. If `null` then affiliations from all nodes will be requested.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### retrieveOwnSubscription

          public void retrieveOwnSubscription(BareJID pubSubJID,
                                              String nodeName,
                                              AsyncCallback callback)
                                       throws JaxmppException

      Retrieve own subscriptions.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node. If `null` then subscriptions from all nodes will be requested.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveOwnSubscription

          public void retrieveOwnSubscription(BareJID pubSubJID,
                                              String nodeName,
                                              PubSubModule.SubscriptionsRetrieveAsyncCallback callback)
                                       throws JaxmppException

      Retrieve own subscriptions.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node. If `null` then subscriptions from all nodes will be requested.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveSubscription

          public void retrieveSubscription(BareJID pubSubJID,
                                           String nodeName,
                                           AsyncCallback callback)
                                    throws JaxmppException

      Retrieve all subscriptions of given node. Owner affiliation is required.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveSubscription

          public void retrieveSubscription(BareJID pubSubJID,
                                           String nodeName,
                                           PubSubModule.SubscriptionFilterExtension filterExt,
                                           AsyncCallback callback)
                                    throws JaxmppException

      Retrieve all subscriptions of given node. Owner affiliation is required.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `filterExt` - subscription filter.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### retrieveSubscription

          public void retrieveSubscription(BareJID pubSubJID,
                                           String nodeName,
                                           PubSubModule.SubscriptionsRetrieveAsyncCallback callback)
                                    throws JaxmppException

      Retrieve all subscriptions of given node. Owner affiliation is required.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### setAffiliation

          public void setAffiliation(BareJID pubSubJID,
                                     String nodeName,
                                     PubSubModule.AffiliationElement[] affiliationElements,
                                     PubSubAsyncCallback callback)
                              throws JaxmppException

      Modify or set multiple affiliations.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `affiliationElements` - array of affiliations elements.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### setAffiliation

          public void setAffiliation(BareJID pubSubJID,
                                     String nodeName,
                                     JID subscriberJID,
                                     Affiliation affiliation,
                                     PubSubAsyncCallback callback)
                              throws JaxmppException

      Modify or set affiliation.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node
        `subscriberJID` - subscriber JID
        `affiliation` - new affiliation.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### setSubscription

          public void setSubscription(BareJID pubSubJID,
                                      String nodeName,
                                      JID subscriberJID,
                                      Subscription subscription,
                                      PubSubAsyncCallback callback)
                               throws JaxmppException

      Modify or set subscription.
      Parameters:
        `pubSubJID` - PubSub service address
        `nodeName` - name of node
        `subscriberJID` - subscriber JID
        `subscription` - new subscription
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### setSubscription

          public void setSubscription(BareJID pubSubJID,
                                      String nodeName,
                                      PubSubModule.SubscriptionElement[] subscriptionElements,
                                      PubSubAsyncCallback callback)
                               throws JaxmppException

      Modify or set multiple subscriptions.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `subscriptionElements` - array of subscription elements.
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### subscribe

          public void subscribe(BareJID pubSubJID,
                                String nodeName,
                                JID subscriberJID,
                                JabberDataElement options,
                                AsyncCallback callback)
                         throws JaxmppException

      Subscribe to a Node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node to be subscribe
        `subscriberJID` - subscriber JID.
        `options` - subscription options. `null` is allowed.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### subscribe

          public void subscribe(BareJID pubSubJID,
                                String nodeName,
                                JID subscriberJID,
                                JabberDataElement options,
                                PubSubModule.SubscriptionAsyncCallback callback)
                         throws JaxmppException

      Subscribe to a Node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node to be subscribe
        `subscriberJID` - subscriber JID.
        `options` - subscription options. `null` is allowed.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### subscribe

          public void subscribe(BareJID pubSubJID,
                                String nodeName,
                                JID subscriberJID,
                                PubSubModule.SubscriptionAsyncCallback callback)
                         throws JaxmppException

      Subscribe to a Node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node to be subscribe
        `subscriberJID` - subscriber JID.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### unlockItem

          public void unlockItem(BareJID pubSubJID,
                                 String nodeName,
                                 String itemId,
                                 AsyncCallback callback)
                          throws JaxmppException

      Unlock assigned item. This method may be used with PubSub service and nodes with active PubSub Queueing.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `itemId` - ID of item to be unlock.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### unlockItem

          public void unlockItem(BareJID pubSubJID,
                                 String nodeName,
                                 String itemId,
                                 PubSubAsyncCallback callback)
                          throws JaxmppException

      Unlock assigned item. This method may be used with PubSub service and nodes with active PubSub Queueing.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node.
        `itemId` - ID of item to be unlock.
        `callback` - request callback.
      Throws:
        `JaxmppException`

    - #### unsubscribe

          public void unsubscribe(BareJID pubSubJID,
                                  String nodeName,
                                  JID subscriberJID,
                                  AsyncCallback callback)
                           throws JaxmppException

      Unsubscribe from a Node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node to be unsubscribe.
        `subscriberJID` - JID of subscriber
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### unsubscribe

          public void unsubscribe(BareJID pubSubJID,
                                  String nodeName,
                                  JID subscriberJID,
                                  PubSubAsyncCallback callback)
                           throws JaxmppException

      Unsubscribe from a Node.
      Parameters:
        `pubSubJID` - PubSub service address.
        `nodeName` - name of node to be unsubscribe.
        `subscriberJID` - JID of subscriber
        `callback` - request callback
      Throws:
        `JaxmppException`

    - #### fireNotificationReceived

          protected void fireNotificationReceived(Message message,
                                                  String nodeName,
                                                  String itemType,
                                                  String itemId,
                                                  Element payload,
                                                  Date delayTime)
                                           throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveAffiliations

          protected void retrieveAffiliations(BareJID pubSubJID,
                                              String nodeName,
                                              String xmlns,
                                              AsyncCallback callback)
                                       throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveSubscription

          protected void retrieveSubscription(BareJID pubSubJID,
                                              String nodeName,
                                              String xmlns,
                                              PubSubModule.SubscriptionFilterExtension filterExt,
                                              AsyncCallback callback)
                                       throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2022 Tigase. All rights reserved.